Andy has posted an update to the WordPress.com Stats Plugin. This is a security sensitive update, so if you’ve got an older version of the plugin (less than 1.1.1) go upgrade now.